Bug 13451 - Fail renaming file if that file has open streams
Fail renaming file if that file has open streams
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-27 10:29 UTC by Ralph Böhme
Modified: 2018-07-12 11:03 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.7 backported from master (16.21 KB, patch)
2018-07-07 07:14 UTC, Ralph Böhme
jra: review+
Details
Patch for 4.8 backported from master (16.26 KB, patch)
2018-07-07 07:15 UTC, Ralph Böhme
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2018-05-27 10:29:14 UTC
Renaming a basefile that has open streams must fail with NT_STATUS_ACCESS_DENIED. This was verified against Windows Server 2016.
Comment 1 Ralph Böhme 2018-07-07 07:14:20 UTC
Created attachment 14309 [details]
Patch for 4.7 backported from master

Only the first commit needed some changes to apply in 4.8, the rest just cherry-picked cleanly.
Comment 2 Ralph Böhme 2018-07-07 07:15:05 UTC
Created attachment 14310 [details]
Patch for 4.8 backported from master

Only the first commit needed some changes to apply in 4.8, the rest just cherry-picked cleanly.
Comment 3 Ralph Böhme 2018-07-07 07:15:29 UTC
(In reply to Ralph Böhme from comment #1)
s/4.8/4.7/
Comment 4 Jeremy Allison 2018-07-09 20:59:52 UTC
Comment on attachment 14310 [details]
Patch for 4.8 backported from master

*Theoretically* this is adding a new internal bit-flag to the VFS. In practice I think this is OK :-).
Comment 5 Jeremy Allison 2018-07-09 21:39:00 UTC
Reassigning to Karolin for inclusion in 4.7.next, 4.8.next.
Comment 6 Karolin Seeger 2018-07-12 10:56:16 UTC
(In reply to Jeremy Allison from comment #5)
Pushed to autobuild-v4-[8,7]-test.
Comment 7 Karolin Seeger 2018-07-12 11:03:27 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to both branches.
Closing out bug report.

Thanks!